> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# create a static API token for your org

> Creates a long-lived static API token scoped to your current org. Each token gets its own dedicated service account, and only grants access to the current org. The role param controls the token's permissions (org_admin, org_support, or org_read_only) and defaults to org_read_only.



## OpenAPI

````yaml post /v1/account/static-token
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1099
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: actions/runner
    name: actions/runner
  - description: notebooks
    name: notebooks
  - description: apps
    name: apps
  - description: runners
    name: runners
  - description: onboarding
    name: onboarding
  - description: components
    name: components
  - description: installs
    name: installs
  - description: actions
    name: actions
  - description: slack
    name: slack
  - description: accounts
    name: accounts
  - description: policy-reports
    name: policy-reports
  - description: vcs
    name: vcs
  - description: runbooks
    name: runbooks
  - description: runners/runner
    name: runners/runner
  - description: auth
    name: auth
  - description: queues
    name: queues
  - description: general
    name: general
  - description: orgs
    name: orgs
paths:
  /v1/account/static-token:
    post:
      tags:
        - accounts
      summary: create a static API token for your org
      description: >-
        Creates a long-lived static API token scoped to your current org. Each
        token gets its own dedicated service account, and only grants access to
        the current org. The role param controls the token's permissions
        (org_admin, org_support, or org_read_only) and defaults to
        org_read_only.
      operationId: CreateStaticToken
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/service.CreateStaticTokenRequest'
        description: Input
        required: true
        x-originalParamName: req
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_nuonco_nuon_services_ctl-api_internal_app_accounts_service.StaticTokenResponse
          description: Created
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    service.CreateStaticTokenRequest:
      properties:
        duration:
          default: 8760h
          description: defaults to one year
          type: string
        name:
          description: human-friendly name to identify the token later
          type: string
        role:
          description: >-
            org role granted to the token. one of org_admin, org_support,
            org_read_only.

            defaults to org_read_only.
          type: string
      required:
        - name
      type: object
    github_com_nuonco_nuon_services_ctl-api_internal_app_accounts_service.StaticTokenResponse:
      properties:
        api_token:
          type: string
        id:
          type: string
      type: object
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````